int-arith.cpp File Reference
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::MiniModel::ArithNonLinIntExpr
| Non-linear arithmetic expressions over integer variables. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::MiniModel
| Minimalistic modeling support.

## Functions

bool | Gecode::MiniModel::hasType (const LinIntExpr &e, ArithNonLinIntExpr::ArithNonLinIntExprType t)
| Check if e is of type t.
LinIntExpr | Gecode::abs (const LinIntExpr &e)
| Return expression for .
LinIntExpr | Gecode::min (const LinIntExpr &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::max (const LinIntExpr &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::min (const IntVarArgs &x)
| Return expression for .
LinIntExpr | Gecode::max (const IntVarArgs &x)
| Return expression for .
LinIntExpr | Gecode::operator* (const LinIntExpr &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::sqr (const LinIntExpr &x)
| Return expression for .
LinIntExpr | Gecode::sqrt (const LinIntExpr &x)
| Return expression for .
LinIntExpr | Gecode::pow (const LinIntExpr &x, int n)
| Return expression for .
LinIntExpr | Gecode::nroot (const LinIntExpr &x, int n)
| Return expression for .
LinIntExpr | Gecode::operator/ (const LinIntExpr &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::operator% (const LinIntExpr &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::element (const IntVarArgs &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::element (const IntArgs &x, const LinIntExpr &y)
| Return expression for .
LinIntExpr | Gecode::ite (const BoolExpr &b, const LinIntExpr &x, const LinIntExpr &y)
| Return expression for if-then-else .